Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SQLite
Interface Authorizer

public interface Authorizer

Callback interface for SQLite's authorizer function.

Method Summary
`int` | `authorize(int what, String arg1, String arg2, String arg3, String arg4)` Callback to authorize access.

Method Detail

### authorize

    public int authorize(int what,
                         String arg1,
                         String arg2,
                         String arg3,
                         String arg4)

  Callback to authorize access.

  Parameters:
    `what` - integer indicating type of access
    `arg1` - first argument (table, view, index, or trigger name)
    `arg2` - second argument (file, table, or column name)
    `arg3` - third argument (database name)
    `arg4` - third argument (trigger name)
  Returns:
    Constants.SQLITE_OK for success, Constants.SQLITE_IGNORE for don't allow access but don't raise an error, Constants.SQLITE_DENY for abort SQL statement with error.

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Contact: Christian Werner